## uudeview-0.5.20.tar.bz2

=== doc/Makefile ===
#
# $Id: Makefile,v 1.2 1996/06/15 11:49:05 fp Exp $
#

DVI	=	library.dvi
PS	=	${DVI:.dvi=.ps}
HTML	=	${DVI:.dvi=.html}

LATEX	=	latex
DVIPS	=	dvips
FIG2DEV	=	fig2dev


.SUFFIXES:
.SUFFIXES: .ltx .dvi .ps .fig .tex .eps


all:	$(DVI)
dvi:	$(DVI)
ps:	$(PS)
html:	$(HTML)


library.ps:		library.dvi
library.dvi:		library.ltx structure.tex binhex.tex

library.html:	library.ltx library.dvi
	hevea -fix -o $@ $<

clean:
	rm -f *.aux *.log *.toc *~ *.html
	rm -f *.o td-v1 td-v2 td-v3

distclean: clean
	for fig in *.fig ; do \
		rm -f `basename $$fig .fig`.eps ; \
		rm -f `basename $$fig .fig`.tex ; \
	done
	rm -f *.dvi *.ps

.ltx.dvi:
	$(LATEX) $<
	$(LATEX) $<

.dvi.ps:
	$(DVIPS) -f < $< > $@

.fig.tex:
	$(FIG2DEV) -L latex < $< > $@

.fig.eps:
	$(FIG2DEV) -L ps < $< > $@

=== debian/changelog ===
uudeview (0.5.20-3) unstable; urgency=low

  * Ack NMU.  (closes: Bug#373630)
  * Don't force overwrite mode if auto-rename enabled.  (closes: Bug#378076)
  * Don't ignore special chars when parsing MIME.  (closes: Bug#341440)
  * Fix for #320541 also fixes #242999.  (closes: Bug#242999)
  * Incorporate suspicious-file patch from Peter Muir.  (closes: Bug#166077)
  * Bump standards-version to 3.7.2.
  * Update FSF address.
  * Delete (malformed) end of this changelog.

 -- Chris Hanson <cph@debian.org>  Tue, 15 Aug 2006 00:40:50 -0400

uudeview (0.5.20-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix possible (but highly unlikely) race in temporary file generation
    (CAN-2004-2265), by passing the "x" (O_EXCL) flag to fopen when opening
    such files. (Closes: #320541)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 14 Jun 2006 18:44:05 +0200

uudeview (0.5.20-2) unstable; urgency=high

  * Urgency high for RC bug fix.
  * Fix build problem caused by removal of psfig.sty.  (closes: Bug#266068)
  * Don't need to define _LARGEFILE64_SOURCE.  (closes: Bug#226766)

 -- Chris Hanson <cph@debian.org>  Tue, 17 Aug 2004 15:47:08 -0400

uudeview (0.5.20-1) unstable; urgency=low

  * New upstream version.
    - fixes two buffer overflows (closes: Bug#247137)
    - writes partial files (closes: Bug#165993)
    - new procedure UULoadFileWithPartNo (closes: Bug#234003)
  * Eliminate 2 lintian warnings and 1 lintian error.
  * Apply patch from nget maintainer:
    http://nget.sf.net/patches/uulib-0.5.19-uuinfofile-long-headers.patch

 -- Chris Hanson <cph@debian.org>  Thu, 20 May 2004 00:02:07 -0400

uudeview (0.5.19+beta20030413-2) unstable; urgency=low

  * Use hevea instead of latex2html, now that latter has moved to
    non-free.  (closes: Bug#221348)
  * Pass -fPIC when compiling so that libuu.a can be linked into shared
    library.  (thanks, Marek Habersack)  (closes: Bug#223757)
  * Add description of -v option to uudeview(1).
    (thanks, Peter Muir)  (closes: Bug#165993)

 -- Chris Hanson <cph@debian.org>  Tue, 23 Dec 2003 01:06:12 -0500

uudeview (0.5.19+beta20030413-1) unstable; urgency=low

  * New upstream version:
    - Add +a option that implements alternative auto-rename.
      (closes: Bug#142224)
    - Add error checking to uulib.
      (closes: Bug#151988)
  * Standards version 3.6.1: Update handling of configure arguments and
    CFLAGS in debian/rules.
  * debian/rules: Add necessary definitions for large-file support.
    (closes: Bug#175311)
  * Eliminate random tweaking of -g/-O options in CFLAGS.
    (closes: Bug#165991)
  * Use rename() in preference to copy if possible.
    (closes: Bug#166040)
  * Install needed .h files into libuu-dev.
    (closes: Bug#190365)

 -- Chris Hanson <cph@debian.org>  Sun, 7 Sep 2003 01:05:07 -0400

uudeview (0.5.18-5) unstable; urgency=low

  * Fix bug: code for file-overwrite prompt was inconsistently
    implementing case-insensitive option.  (closes: Bug#154706)
  * Add support for DEB_BUILD_OPTIONS to debian/rules.

 -- Chris Hanson <cph@debian.org>  Mon, 29 Jul 2002 14:43:59 -0400

uudeview (0.5.18-4) unstable; urgency=low

  * build-depends debhelper (>= 4.0.0).

 -- Chris Hanson <cph@debian.org>  Tue, 18 Jun 2002 22:02:03 -0400

uudeview (0.5.18-3) unstable; urgency=low

  * Compile with large file support.  (closes: Bug#148184)
  * Use "debian/compat" and switch to debhelper V4.

 -- Chris Hanson <cph@debian.org>  Sun, 26 May 2002 21:53:42 -0400

uudeview (0.5.18-2) unstable; urgency=medium

  * Make changes to use tk/tcl 8.3 rather than 8.0.
    (closes: Bug#142222)
  * Check rename directory to make sure it exists.
    (closes: Bug#142223)
  * Use DH_COMPAT=3.

 -- Chris Hanson <cph@debian.org>  Sat, 13 Apr 2002 21:04:31 -0400

uudeview (0.5.18-1) unstable; urgency=low

  * New upstream version.
    (closes: Bug#139235, Bug#139997, Bug#141376)

 -- Chris Hanson <cph@debian.org>  Fri, 5 Apr 2002 14:22:51 -0500

uudeview (0.5.17-2) unstable; urgency=low

  * Change priority of xdeview to "extra", to match overrides file.

 -- Chris Hanson <cph@debian.org>  Thu, 14 Mar 2002 12:15:05 -0500

uudeview (0.5.17-1) unstable; urgency=low

  * New upstream version.
  * Upstream added support for yEnc.  (closes: Bug#136958)

 -- Chris Hanson <cph@debian.org>  Tue, 12 Mar 2002 01:42:31 -0500

uudeview (0.5.15-4) unstable; urgency=low

  * Work around problem with tcl8.0-dev on SPARC.  This was reported as
    bug 109783; the bug itself will be reassigned to tcl8.0-dev.

 -- Chris Hanson <cph@debian.org>  Fri, 24 Aug 2001 13:20:01 -0400

uudeview (0.5.15-3) unstable; urgency=low

  * Fix upstream bug in new renaming mechanism.  (closes: Bug#109189)
  * Update to standards-version 3.5.6.

 -- Chris Hanson <cph@debian.org>  Sun, 19 Aug 2001 00:46:06 -0400

uudeview (0.5.15-2) unstable; urgency=low

  * Add build dependency on tetex-extra.  (closes: Bug#101281)

 -- Chris Hanson <cph@debian.org>  Mon, 18 Jun 2001 07:43:58 -0400

uudeview (0.5.15-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Wed, 13 Jun 2001 22:46:30 -0400

uudeview (0.5.13-7) unstable; urgency=low

  * Add build dependency on transfig.  (closes: Bug#90983)
  * Add -R option to uudeview to provide automatic renaming.  Change -i
    option to imply -R rather than -o.
  * Eliminate most compilation warnings, some of which were bugs.

 -- Chris Hanson <cph@debian.org>  Sat, 24 Mar 2001 23:51:59 -0500

uudeview (0.5.13-6) unstable; urgency=low

  * Add another package to provide the underlying libuu library and its
    documentation.  (closes: Bug#53963, Bug#80201)

 -- Chris Hanson <cph@debian.org>  Fri, 23 Mar 2001 22:11:32 -0500

uudeview (0.5.13-5) unstable; urgency=low

  * Restructure to break into two packages.  uudeview package now contains
    only the command-line programs, while new xdeview package contains
    xdeview.  (closes: Bug#54300, Bug#90708)



=== debian/control ===
Source: uudeview
Section: utils
Priority: optional
Maintainer: Chris Hanson <cph@debian.org>
Build-Depends: debhelper (>= 4.0.0), tk8.4-dev, tcl8.4-dev, hevea, tetex-bin, tetex-extra, transfig
Standards-Version: 3.7.2

Package: uudeview
Architecture: any
Depends: ${shlibs:Depends}
Suggests: exim4 | mail-transport-agent, inews, xdeview
Description: Smart multi-file multi-part decoder (command line)
 This is a command-line decoder and encoder for files encoded with the
 following formats: uuencode, xxencode, BASE64, quoted printable, and
 BinHex.
 .
 This package used to contain an X11-based GUI decoder called xdeview.
 That program is now in the xdeview package.

Package: xdeview
Architecture: any
Depends: ${shlibs:Depends}
Suggests: exim4 | mail-transport-agent, inews
Description: Smart multi-file multi-part decoder (X11 GUI)
 This is an X11-based decoder for files encoded with the following
 formats: uuencode, xxencode, BASE64, quoted printable, and BinHex.

Package: libuu-dev
Section: libdevel
Architecture: any
Description: Library for decoding/encoding several popular file encodings
 Libuu is a library of functions for decoding and encoding files in
 the following formats: uuencode, xxencode, BASE64, quoted printable,
 and BinHex.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR := $(shell pwd)/debian/tmp
BIN_DIR = /usr/bin
LIB_DIR = /usr/lib
INCLUDE_DIR = /usr/include
MAN_DIR = /usr/share/man
DOC_DIR = /usr/share/doc
HTML_DIR = $(DOC_DIR)/libuu-dev

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONF_FLAGS := --build $(DEB_HOST_GNU_TYPE)
else
  CONF_FLAGS := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS := -O0
else
	CFLAGS := -O2
endif
CFLAGS += -g -Wall -D_FILE_OFFSET_BITS=64 -fPIC

configure: configure-stamp
configure-stamp:
	dh_testdir
	with_includes=/usr/include/tcl8.4 CFLAGS="$(CFLAGS)" \
	    ./configure $(CONF_FLAGS) \
	    --prefix=/usr \
	    --mandir=$(MAN_DIR) \
	    --enable-tcl=/usr/lib/tcl8.4 \
	    --enable-tk=/usr/lib/tk8.4 \
	    --enable-sendmail=/usr/sbin/sendmail \
	    --enable-inews=/usr/bin/inews
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	(cd doc && $(MAKE) html)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	rm -rf autom4te.cache
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -d -m 755 $(DESTDIR)$(BIN_DIR) \
	    $(DESTDIR)$(HTML_DIR) \
	    $(DESTDIR)$(INCLUDE_DIR) \
	    $(DESTDIR)$(LIB_DIR) \
	    $(DESTDIR)$(MAN_DIR)/man1
	$(MAKE) install DESTDIR=$(DESTDIR) MANDIR=$(MAN_DIR)
	install -m 644 debian/uuwish.1 $(DESTDIR)$(MAN_DIR)/man1/.
	install -m 644 uulib/libuu.a $(DESTDIR)$(LIB_DIR)/.
	install -m 644 uulib/uudeview.h $(DESTDIR)$(INCLUDE_DIR)/.
	install -m 644 uulib/uuint.h $(DESTDIR)$(INCLUDE_DIR)/.
	install -m 644 uulib/fptools.h $(DESTDIR)$(INCLUDE_DIR)/.
	install -m 644 doc/*.html $(DESTDIR)$(HTML_DIR)/.
	dh_movefiles

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs HISTORY
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
